﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace VisibilityBinding_SelectiveDataSource
{
	public class SampleViewModel : ObservableCollection<Entity>
	{
		public SampleViewModel()
		{
			Entity e;
			this.Add(e = new Entity("E.1"));
			e.Visibility = System.Windows.Visibility.Collapsed;
			e.SubEntities.Add(new Entity("E.1.1"));
			e.SubEntities.Add(new Entity("E.1.2"));
			e.SubEntities.Add(new Entity("E.1.3"));
			this.Add(e = new Entity("E.2"));
			e.SubEntities.Add(new Entity("E.2.1"));
			e.SubEntities.Add(new Entity("E.2.2"));
		}
	}
}
